libapache-poi-java 3.6+dfsg-2 source package in Ubuntu

Changelog

libapache-poi-java (3.6+dfsg-2) unstable; urgency=low

  * Rename package from jakarta-poi to apache-poi. Add appropriate Conflicts,
    Replaces, and Provides.
  * Keep some compatibility symlinks in /usr/share/java.
  * Remove Java runtime from Depends.
  * Switch to source format 3.0.
  * Remove Christian from Uploaders list.
  * Switch to debhelper level 7.
  * Update Standards-Version: 3.9.2.

libjakarta-poi-java (3.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - refresh all patches
  * Remove Arnaud Vandyck from Uploaders
  * Fix debian/watch to track upstream tarballs naming changes

libjakarta-poi-java (3.5+dfsg-1) unstable; urgency=low

  * New upstream release.
    - 01_javac_encoding: refreshed
    - 02_classpath: use Debian JAR for build
    - 03_no_ooxml: disable ooxml module (use non-free JARs)
    - 04_jar_names: strip DSTAMP for JARs filenames
  * Update my email address
  * debian/orig-tar.exclude: Update exclusion file list

libjakarta-poi-java (3.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #499729).
    - POI documentation manual is not built anymore (depends on Forrest)
      so remove corresponding doc-base and lintian override.
    - Strip MS Office files from upstream tarball (.ppt, .vsd & so)
  * Add myself to Uploaders
  * Update Standards-Version to 3.8.3:
    - Rename README.Debian-source to README.source to comply with policy
    - Add recommended get-orig-source target (with orig-tar.sh script)
  * Maven POMs:
    - Add a Build-Depends dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - Use maven-dist Ant target to generate all pom.xml files
  * Use quilt as patch system:
    - Add a Build-Depends on quilt
    - Refresh all patches
    - Use patchsys-quilt.mk in debian/rules
    - Describe patch system in debian/README.source
  * Install API documentation in /usr/share/doc/libjakarta-poi-java/api/
  * Update debian/copyright:
    - Update copyright years
    - Include detailled upstream Authors (from KEYS file)
    - Include GPLv3 copyright for a resource file of HDGF part of POI

libjakarta-poi-java (3.0.2.dfsg-2) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add missing Depends: ${misc:Depends}.
  * Change debhelper compat level to 5.
  * Add Vcs-* and Homepage headers.
  * Update Standards-Version: 3.8.2.
  * Do no longer quote the full text of the Apache license.
  * Change Section: java.

libjakarta-poi-java (3.0.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/changelog to have proper copyright.
  * Delete empty directory from documentation.
  * Removed old entry from lintian overrides file.

libjakarta-poi-java (3.0.1.dfsg-2) unstable; urgency=low

  * Improved wtch file to remove '.dfsg' in debian version.
  * Updated Standards-Version to 3.7.3.

libjakarta-poi-java (3.0.1.dfsg-1) unstable; urgency=low

  * oops, of course we need to remove lib/*.jar and src/contrib/lib/* from the orig

libjakarta-poi-java (3.0.1-2) unstable; urgency=low

  * Fix build for environments without locale set. Closes: #443034.
  * Removed Wolfgang from Uploaders and added myself.

libjakarta-poi-java (3.0.1-1) unstable; urgency=low

  * New upstream release (closes: #436974)
  * add myself to Uploaders
  * add watch file 

libjakarta-poi-java (2.5.1-3) unstable; urgency=low

  * Standards-Version: updated to 3.7.2, no change needed
  * built with java-gcj-compat-dev
  * no more run the tests (closes: #393151). I was able to run a lot of
    tests with java-gcj-compat, but got a problem 'cannot open
    display'. Maybe it'll be a problem with pbuilders.
  * removed the patches

libjakarta-poi-java (2.5.1-2) unstable; urgency=low

  * Upload to unstable 

libjakarta-poi-java (2.5.1-1) experimental; urgency=low

  * New upstream release
  * Move to main - build with kaffe
  * Apache 2.0 License, adjusted debian/copyright
  * Move package to pkg-java-maintainers for comaintenance, 
    added Christian Bayle and myself as uploaders
  * New build dependencies (some are also dependencies) 
    libcommons-logging-java, liblog4j1.2-java, ant-optional, junit, cdbs,
    libxalan2-java, libcommons-beanutils-java, libcommons-lang-java
  * Added compat file for debhelper 4 compatibility
  * Updated README.Debian with information about different classpaths 
    dependend on used jakarta-poi jar files (main, scratchpad, contrib)
  * Enabled and run unit tests
  * Register manual and api with doc-base
  * Standards-Version 3.6.2 (no changes)

libjakarta-poi-java (1.10.0-4) unstable; urgency=high

  * Fixed FTBFS: Missing Build-Depends on 'ant' (Closes: #306750)

libjakarta-poi-java (1.10.0-3) unstable; urgency=low

  * Missing comma in Build-Depends-Indep line of control file
  (Closes: bug#254881) 

libjakarta-poi-java (1.10.0-2) unstable; urgency=low

  * Removed depends on doc package (Closes: #202399) 

libjakarta-poi-java (1.10.0-1) unstable; urgency=low

  * Initial Release.

Local variables:
mode: debian-changelog
End:
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  18 Oct 2011 00:02:21 +0000

Upload details

Uploaded by:
Ubuntu Archive Auto-Sync on 2011-10-18
Uploaded to:
Precise
Original maintainer:
Debian Java Maintainers
Architectures:
all
Section:
java
Urgency:
Very Urgent

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2011-10-18 universe java

Builds

Precise: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
libapache-poi-java_3.6+dfsg.orig.tar.gz 4.0 MiB dde1e18b0f3e5601ad7c20e78c2583b6e04071af345269c637ad3ea2f9ebeea2
libapache-poi-java_3.6+dfsg-2.debian.tar.gz 7.1 KiB b5fe4364fa51d0cefadc22d6e81376d12a7871a19ad45785437d6b63e9271d58
libapache-poi-java_3.6+dfsg-2.dsc 1.6 KiB 82405b9c949dd473a75c18a98b635187aefa0ed57aed4b08ce56331a3dedbfc8

View changes file

Binary packages built by this source

libapache-poi-java: No summary available for libapache-poi-java in ubuntu raring.

No description available for libapache-poi-java in ubuntu raring.

libapache-poi-java-doc: No summary available for libapache-poi-java-doc in ubuntu raring.

No description available for libapache-poi-java-doc in ubuntu raring.